Cmath

Accueil > Forums > CmathOOoCAS > Installation

Installation

mardi 8 juillet 2008, par Christophe Devalland

Messages

  • Il s’agit d’un problème "normal" dû à OOo.
    En cas d’ajout ou de modification de fonctions dans un "Addin-Calc" la mise à jour de l’extension échouera avec ce message d’erreur.
    Pour y remédier, désinstaller l’extension de OOoCalc avant d’installer la nouvelle version à partir de mon site.

  • impossible d’installer cmathOOoCAS.
    Je fais comme indiqué (d’ailleurs, en suivant la même procédure, cmatOOo s’installe sans problème), et après avoir fait défiler le texte et accepté, quand je poursuis j’obtiens
    un message d’erreur.
    J’ai essayé sur pusieurs machines et c’est bien la version 3.1 d’Open Office.
    Je suis perplexe ...

    • mormor a écrit :

      j’obtiens un message d’erreur.

      Quel est le message d’erreur ?
      Sur quel système d’exploitation ?

    • Bonjour,

      je poste ici même si je n’ai pas lancé le sujet. Moi aussi, je n’arrive pas à installer CmathOOoCAS.
      Je tente l’installation sur Ubuntu 9.10 (64bits), OO 3.1 et l’erreur (qui apparait après avec accepté les termes de la licence) est la suivante :

      loading component library failed :
      file :///home/[...]/.openoffice.org/3/user/uno_packages/cache/unopackages/R8VuTk_/CmathOOoCAS.oxt/Linux_x86_64/CmathOOoCAS.uno.so

      ouf.

      Merci de votre aide,
      Pascal.

    • PasKalou a écrit :

      je poste ici même si je n’ai pas lancé le sujet. Moi aussi, je n’arrive pas à installer CmathOOoCAS.
      Je tente l’installation sur Ubuntu 9.10 (64bits), OO 3.1 et l’erreur (qui apparait après avec accepté les termes de la licence) est la suivante :

      loading component library failed :
      file :///home/[...]/.openoffice.org/3/user/uno_packages/cache/unopackages/R8VuTk_/CmathOOoCAS.oxt/Linux_x86_64/CmathOOoCAS.uno.so

      Bonjour,
      j’ai exactement la même config que toi pour développer CmathOOoCAS. Donc on devrait y arrriver !
      Je te propose la manip suivante :
      Après extraction du fichier oxt, ouvre un terminal dans Linux_x86_64 et en tape :
      ldd CmathOOoCAS.uno.so
      Tu obtiens la liste des librairies partagées qui sont appelées avec le chemin d’accès.
      Y en a-t-il une qui serait "not found" ?
      Si oui, je voudrais le savoir et tu peux utiliser synaptic pour l’installer.
      Ensuite retente l’installation dans OOo.

    • cdeval a écrit :

      Y en a-t-il une qui serait "not found" ?

      et oui ! C’est celle là : libpari-gmp.so.2 => not found

      Du coup j’ai installé le paquet : libpari2-gmp et alors... c’est tout bon.

      Merci beaucoup pour ton travail et ta réactivité.

      Pascal.

    • Super : même problème, même solution ! Merci pour l’entre-aide

    • Bonjour,

      Je rouvre ce post après mise à jour vers Ubuntu 11.10 Oneiric.

      Je suis confronté à un refus d’installation avec le même message d’erreur.
      La commande ldd CmathOOoCAS.uno.so dans le répertoire Linux_x86 me donne deux librairies manquantes : libmpfr.so.1 et libpari-gmp.so.2.
      Hélas, une recherche dans packages.ubuntu.com ne donne rien, il n’y a plus les paquets adéquats dans oneiric (alors qu’on les trouve bien pour Natty).

      Auriez-vous une idée ? Là je sèche... Merci et bravo pour votre formidable travail.

      Thierry JOFFREDO

    • Salut Thierry (je me permets, Thierry Maurel me parle de toi de temps en temps ! Je bosse à Blaise Pascal...)

      je suis au courant de ce problème de librairies manquantes dans oneiric.
      j’ai prévu de recompiler ma librairie en la rendant statique vis à vis de ces deux librairies entre autre.
      en attendant, tu peux essayer cela dans un terminal :
      sudo nautilus
      ensuite, tu vas chercher /usr/lib/libmpfr.so.4.0.1 et tu cliques droit : créer un lien que tu appelles libmpfr.so.1
      idem pour libpari-gmp.so.2.5.0 -> libpari-gmp.so.2
      il te reste à tenter l’install à nouveau (regarde déjà si ldd voit bien les deux librairies).
      ensuite, teste le bon fonctionnement de CmathOOoCAS. Je ne garantis rien. Il faudrait qu’il y ait une compatibilité descendante de ces deux lib, ce qui est probable mais....
      Tiens moi au courant,
      si ça marche, je mettrai la démarche sur mon site en attendant ma recompilation.

    • Bonjour,

      Merci pour ces extensions très utiles. Honnêtement, je ne les ai pas encore exploitées avec mes élèves de collège, mais c’est bien dans mes intentions.

      cdeval a écrit :

      ensuite, tu vas chercher /usr/lib/libmpfr.so.4.0.1 et tu cliques droit : créer un lien que tu appelles libmpfr.so.1
      idem pour libpari-gmp.so.2.5.0 -> libpari-gmp.so.2

      Puisque personne n’a confirmé, je le fais : la création de ces deux liens symboliques permet l’installation de l’extension. Il me reste à "jouer"
      :clin avec CMathOOoCAS pour faire un retour plus complet. Probablement pendant les vacances à venir.

      Merci du support proposé via ce forum.

      Question bête(?) : pourquoi ne pas utiliser le forum français officiel d’OOo, sur lequel il y a d’ailleurs de la publicité pour vos extensions ?

      Bien cordialement,

    • merci de cette confirmation.
      En ce qui concerne le forum d’OOo, je pense que ça ne serait pas très poli de le squatter pour des problèmes techniques qui n’intéresseraient que les utilisateurs de Cmath...

    • Bonjour,

      cdeval a écrit :

      merci de cette confirmation.
      En ce qui concerne le forum d’OOo, je pense que ça ne serait pas très poli de le squatter pour des problèmes techniques qui n’intéresseraient que les utilisateurs de Cmath...

      De rien.

      Pour le forum OOo, je voyais plus cela comme "rassembler à un même endroit toutes les ressources utiles" puisqu’il y a un forum dédié aux extensions. Mais peut-être avez-vous raison ? Il faudrait demander aux modérateurs du forum OOo.

      Cordialement,

      PS : joli exemple d’intégration de SpipBB à un site en Spip. Est-ce que ce sont deux instances différentes de Spip, ou bien juste une rubrique dédiée ?

    • cdeval a écrit :

      je suis au courant de ce problème de librairies manquantes dans oneiric.
      j’ai prévu de recompiler ma librairie en la rendant statique vis à vis de ces deux librairies entre autre.
      en attendant, tu peux essayer cela dans un terminal :
      sudo nautilus
      ensuite, tu vas chercher /usr/lib/libmpfr.so.4.0.1 et tu cliques droit : créer un lien que tu appelles libmpfr.so.1
      idem pour libpari-gmp.so.2.5.0 -> libpari-gmp.so.2
      il te reste à tenter l’install à nouveau (regarde déjà si ldd voit bien les deux librairies).
      ensuite, teste le bon fonctionnement de CmathOOoCAS. Je ne garantis rien. Il faudrait qu’il y ait une compatibilité descendante de ces deux lib, ce qui est probable mais....
      Tiens moi au courant,
      si ça marche, je mettrai la démarche sur mon site en attendant ma recompilation.

      Bonjour

      Pour moi cela ne fonctionne pas : ubuntu 11.10 et libreoffice 3.5

      Voici les librairies "not found" :
      libntl-5.4.2.so ; libpari-gmp.so.2 ; libfltk_images.so.1.1 ; libfltk.so.1.1 ; libfltk_gl.so.1.1

      Et en effet, je n’en retrouve aucune trace, y compris dans /usr/lib/

      Je suis bloqué, avez-vous une solution ?
      Merci encore

    • Bonjour,

      Herve a écrit :

      Pour moi cela ne fonctionne pas : ubuntu 11.10 et libreoffice 3.5

      Pas encore trouvé le temps de l’installer mais je devrais tirer profit des vacances pour l’essayer...

      Voici les librairies "not found" :
      libntl-5.4.2.so ; libpari-gmp.so.2 ; libfltk_images.so.1.1 ; libfltk.so.1.1 ; libfltk_gl.so.1.1
      Je suis bloqué, avez-vous une solution ?

      Peut-être qu’elle ne sont pas du tout installées ? Proposition de procédure pour installer ce qui convient :

      1. Chercher le paquet qui contient la dite librairie : apt-cache search libntl On obtient

        libntl-5.4.2 - Number Theory Library, shared library
        libntl-dev - Number Theory Library, development files
        libntlm0 - NTLM authentication library
        libntlm0-dev - Development files for the NTLM authentication library

      2. Installer la librairie : sudo apt-get install libntl-5.4.2
      3. Vérifier : dpkg -L libntl-5.4.2
      4. Recommencer pour les autres.

      Bon courage !

    • Bonjour,

      mumblee a écrit :

      Pas encore trouvé le temps de l’installer mais je devrais tirer profit des vacances pour l’essayer...

      Ça y est, j’ai installé LibreOffice 3.5 à l’aide des paquets téléchargés depuis le site officiel (on peut aussi passer par le dépôt ppa).

      Pour ma part, c’était la librairie libstlproc_gcc.so du paquet libstlport5.2 qui était manquante. Il y a pourtant un lien symbolique de /usr/lib/ure/lib/libstlport_gcc.so vers /usr/lib/libstlport_gcc.so.4.6 mais cela ne semble pas suffire. Il faut ajouter un lien dans /usr/lib/ :

      sudo ln -s /usr/lib/libstlport_gcc.so.4.6 /usr/lib/libstlport_gcc.so

      Bon, maintenant il faut "jouer" avec CmathOOoCAS... :-)

    • Bonjour,

      Je suis sous Xubuntu 11.10 avec LO 3.5.1
      Je ne trouve pas les paquets manquants dans Synaptic.

      Après ldd CmathOOoCAS.uno.so :

      libmpfr.so.1 => not found

      J’ai installé libmpfr4

      libmpfr4-dbg

      libmpfr4-dev

      libmpfr-dev

      libmpfr-doc

      libgmp-dev

      libpari-gmp.so.2 => not found

      J’ai installé libpari-gmp3

      J’ai toujours les mêmes erreurs à l’installation.

      libmpfr.so.1 => not found

      libpari-gmp.so.2 => not found

      Faudrait-il changer un nom ?

      Merci

      TV

    • Suite du message.

      J’a bien fait un apt-get search ...
      Les librairies donnés en retour sont bien installées.

      TV

    • Bonjour,

      TV a écrit :

      J’ai installé libmpfr4

      J’ai installé libpari-gmp3

      J’ai toujours les mêmes erreurs à l’installation.
      libmpfr.so.1 => not found
      libpari-gmp.so.2 => not found

      Faudrait-il changer un nom ?

      Presque. Lire le message de l’auteur de l’extension plus haut dans le fil de discussion : il faut ajouter des liens symboliques pour que les noms des librairies cherchées par CmathOOo correspondent à ceux du système qui, si j’ai bien compris, évolué depuis la compilation de l’extension.

      sudo ln -s /usr/lib/libmpfr.so.4.0.1 /usr/lib/libmpfr.so.1
      sudo ln -s  libpari-gmp.so.2 /usr/lib/libpari-gmp.so.2

      devrait convenir...

    • merci mumblee d’avoir été plus rapide que moi.
      effectivement les liens symboliques devraient régler le problème.
      ça fait un moment que je réfléchis à une solution mais le fait que l’OS n’ait pas la possibilité de mettre à jour l’extension ne rend pas les choses simple. En plus, même avec ce lien symbolique, une mise à jour de ces librairies peut rendre le lien caduque et alors, openoffice ou libreoffice planteront au démarrage (car le test de présence des librairies nécessaires n’a lieu qu’à l’installation de l’extension. Une fois installée, il n’y a plus de garde-fou).
      Seule solution que je vois : compiler une version statique comme pour windows. Mais l’extension va prendre beaucoup de poids pour inclure des librairies déjà présentes avec l’OS. Pas très satisfaisant comme solution.

    • Merci pour ces réponses.

      Je teste et vous mets au courant.
      Je n’ai pas encore fait de liens, mais comme ça je saurais faire.

      TV

    • Bonjour,

      J’ai testé.

      libmpfr est bien passé.

      libmpfr.so.1 => /usr/lib/libmpfr.so.1 (0x003d6000)

      Mais pas libpari

      libpari-gmp.so.2 => not found

      Je pense que la ligne de commande donné par X (Je ne peux pas voir le message donc le nom, mais merci X) est erronée.

      Il y a deux fois la même librairie, je ne sais pas par quoi je dois remplacer /usr/lib/libpari-gmp.so.2

      sudo ln -s libpari-gmp.so.2 /usr/lib/libpari-gmp.so.2

    • C’a y est, ça marche.

      En remontant le forum, j’ai vu qu’il fallait aller voir dans /usr/lib.

      J’y ai bien trouvé libpari-gmp.so.2.5.0 et le lien créé précédemment, libpari-gmp.so.2 en rouge (c’est ça ?)

      Je tape :
      sudo ln -s /usr/lib/libpari-gmp.so.2.5.0 /usr/lib/libpari-gmp.so.2

      Echec trop de liens symboliques.

      Je supprime libpari-gmp.so.2

      sudo rm libpari-gmp.so.2

      A nouveau :
      sudo ln -s /usr/lib/libpari-gmp.so.2.5.0 /usr/lib/libpari-gmp.so.2

      Puis installation de CmathOOoCas sans problème.

      Merci Mumblee et CDeval.

    • TV a écrit :

      Je pense que la ligne de commande donné par X (Je ne peux pas voir le message donc le nom, mais merci X) est erronée.

      Il y a deux fois la même librairie, je ne sais pas par quoi je dois remplacer /usr/lib/libpari-gmp.so.2

      sudo ln -s libpari-gmp.so.2 /usr/lib/libpari-gmp.so.2

      Ah zut, faute de frappe de ma part.

      Je ne suis plus devant l’ordinateur :-( Faire


      ls /usr/lib/libpari-gmp*

      pour trouver le bon nom...

    • Merci Mumblee,

      Comme tu as dû voir, j’ai résolu le problème.
      Mais j’ai appris aussi pas mal de choses.

      TV

    • Ce commentaire seulement histoire de communiquer ma motivation en lisant votre blog. Julie17 du guide sur l’assurance voiture electrique

    • Extrêmement cohérent et belle analyse, rien à rajouter en plus excepté bonne continuation ! Emilie12 du site internet sur la banque en ligne

  • Bonjour

    Je viens d’installer CMathOOo (sous Windows XP et Vista) ; ensuite j’ai essayé d’installer CMatOOoCas ; malheureusement l’installation ne se fait pas correctement : il y a plusieurs fois un long message d’erreur
    file :///C :/Program%20Files/OpenOffice.org%203:program/../share/uno_packages/cache/uno_packages/7E.tmp_/CmathOOoCAS.zip/windows/msvcr90.dll : cannot get symbol : component_getImplementationEnvironment- nor :

    En cliquant OK à chaque fois, on termine l’installation, mais de façon incorrecte.
    La fenêtre de gestion des extensions indique : Erreur. Statut de cette extension inconnu.

    Versions : CmathOOo 2009.10.12
    CmathOOoCAS 2010.05.23

    Seule l’utilisation des commandes CAS dans Writer fonctionne.
    Dans Calc, les menus apparaissent, mais sont inactifs.

    Le fichier zip doit-il être à un emplacement précis où peut-il être n’importe où ?

    Merci pour l’aide !

    Pierrot

    • bonjour,

      c’est très étrange que vous ayez un fichier nommé zip. Normalement l’extension est oxt.
      Essayez de désinstaller puis de télécharger sur le disque le fichier oxt (vérifier son nom) et installez le.
      Le fichier oxt peut être téléchargé nimporte où puisque OOo le recopie ensuite dans le répertoire de l’utilisateur.
      Ne faites-vous pas une installation en mode partagé ?
      dans ce cas, ce pourait être un pb de droits...
      essayez une install en mode utilisateur.

    • Bonjour et merci !

      - A propos des zip : je pense que l’installation en ligne ne pose aucun problème ; mais avec le téléchargement des fichiers pour une installation différée, il semble que l’extension soit (autmatiquement ?) zip.
      En cherchant sur des forums, ce problème avait été signalé, et il semblait que ça ne pose pas de problème.
      Avec Cmathooo.zip, j’avais en effet réussi l’installation avec le gestionnaire d’extensions, mais cela n’a pas fonctionné (ou en partie) pour Cmathooocas.zip.

      - Solution : simplement renommer l’extension (éventuelle) .zip en .oxt et utiliser le double-clic.

      J’ai désinstallé les extensions , réinstallé par cette méthode Cmathooo, puis Cmathoocas, sous XP, sous Vista, sans problèmes de doits utilisateurs.

      Un de mes ordinateurs posait problème : Cmathooocas apparaissait en grisé dans les extensions, impossible à supprimer ; j’ai donc désinstallé OOo3.2, supprimé tout ce qui restait dans le répertoire, puis tout réinstallé, OOo, Cmathooo, et Cmathooocas.

      Voila ! Ca fonctionne enfin...
      Merci pour la réponse rapide ; je me suis permis de détailler les différents problèmes que j’ai rencontrés, au cas où ça pourrait aider d’autres utilisateurs.

      Dernier point : j’avais d’abord désinstallé Dmath, qui posait des problèmes ; il semble que Dmath puisse s’installer après Cmathooo, mais avec des problèmes pour certains fonctionnalités (plantage par exemple de l’application papier millimétré).
      Peut-être est-il possible de laisser les 3 installés, puis de jouer sur l’activation :
      - un profil : Cmathooo(cas) activés / Dmath désactivé
      - un profil : Cmathooo(cas) désactivés / Dmath activé
      suivant les besoins ?

      Encore merci, pour l’aide et pour ces extensions (très bonne doc avec des exemples). Quelle satisfaction (entre autres) de voir un tableur afficher sin(x), et à côté que la dérivée est cos(x)...

      Pierrot

    • merci pour ce retour qui fait plaisir :content.

      en ce qui concerne le zip, ce n’est pas la première fois qu’on me dit cela. Je ne comprends pas pourquoi windows se permet de nommer "zip" un fichier "oxt", même si le format "oxt" est en fait du zip. Je ne sais pas si l’extension fonctionne correctement lorsqu’elle est nommée "zip".

      pour ce qui est d’une extension impossible à désinstaller, pas la peine de réinstaller OOo, ce qui ne changera rien d’ailleurs, il suffit d’effacer son profil utilisateur (/home/mon_nom/.openoffice.org/ sous Linux ; dans le profil utilisateur sous win$ mais je ne sais plus le chemin exact) et de relancer OOo. On perd bien sûr tous ses réglages/extensions.

      enfin pour Dmaths, je déconseille d’installer CmathOOo en parallèle (avant ou après peu importe) à cause, entre autre, des conflits de raccourcis clavier. Le plus simple est de créer deux "users" séparés. Pour CmathOOoCAS, il ne devrait pas y avoir de problème mais je n’ai pas testé.

  • Chers Cmatheux

    Voilà le problème que je rencontre :

    Refus d’installation après avoir accepté les conditions, voici le message :
    loading component library failed :
    file :///herve/home/.openoffice.org/3/user/uno_packages/cache/uno_packages/PUPq8S_/CmathOOoCAS.oxt/Linux_x86/CmathOOoCAS.uno.so

    Précision :
    Je viens à peine de désinstaller la version de juillet 2009. Je comptais installer la dernière version, car je ne parvenais pas à lire des fichiers créés avec cette dernière version, par d’autres collègues.

    Merci pour vos solutions :chinois

  • Bonjour

    J’ai essayé d’installer CmathOOoCAS avec LibreOffice, mais cela ne fonctionne pas, je suppose que c’est normal ?
    Ma question est donc, est-il prévu une version pour LibreOffice ? :sifle

    Merci encore pour ce super outil

    Hervé

    • Bonjour,

      pour le moment, non. Je ne me suis pas penché sur LibreOffice ; et comme je travaille à une grosse mise à jour de CmathOOo sous OOo, ce sera donc (peut-être) pour plus tard.
      Mais il est aussi possible de réclamer à LibreOffice de faire tourner nativement toutes les extensions de OpenOffice :sifle

    • J’ai installé CmathOOo et CmathOOoCAS avec LibreOffice. Les macros fonctionnent.
      J’ai eu quelques soucis pour faire apparaître le menu et la barre d’outils de CmathOOo, mais après plusieurs essais, ça a fonctionné. Je pense que la récupération des extensions d’OOo a posé quelques problèmes, et la suppression, puis la réinstallation de l’extension a fini par les régler. J’ai testé la commande cas dans Writer et tous les essais ont été concluant.

      Merci tous ces outils très utiles au prof de maths

    • j’ai effectivement hier soir fait quelques légères modifications sur mes deux extensions pour qu’au moins, elles s’installent.
      je suis content de voir qu’elles fonctionnent.
      je m’y pencherai davantage lorsque j’aurai terminé la grosse mise à jour de CmathOOo (il y aura de grosses nouveautés liées au CAS dans Writer)

  • Bonsoir,
    Bravo pour cet outil qui m’a décidé a quitter word.

    Je n’arrive pas à écrire F "orthogonal" où orthogonal est le T à l’envers et en exposant.

    J’ai essayé F^(pe) en transformant auparavant le "pe"

    J’ai essayé d’écrire en mode haut (Ctrl+H)

    J’ai essayé de mettre un empilement.

    Y a t-il une solution ?

  • Bonsoir,

    J’ai un soucis d’installation pour CMathoooCAS sur libreoffice 3.3.2 (CMathooo s’est bien installé par ailleurs) : lorsque j’ouvre le fichier .oxt, voilà le message d’erreur que j’obtiens :

    (com.sun.star.uno.RuntimeException) Message="bad root element in file :///home/denis/.libreoffice/3/user/uno_packages/cache/registry/com.sun.star.comp.deployment.configuration.PackageRegistryBackend/p6U5WO_/addon.xcu",Context=(com.sun.star.uno.XInterface)@0

    J’ai installé les bilbiothèques libgmp3c2 libmpfr1ldbl libntl-5.4.2 libpari2-gmp libfltk1.1 libjpeg62 libpng12-0 libreadline5 et j’ai même effacé le dossier /.libreoffice avant de réinstaller le tout mais rien à faire ...
    :pleurs

    J’ai la même erreur avec OOoTep et OOoGdmath. Je ne vois pas quoi faire !

    Merci de votre aide.

  • Bonjour je suis sous LibreOffice 3.4.3 (car la version 3.3.3 fonctionnait mal avec cmathOOo ) sous Kubuntu 11.04.

    Lorsque j’installe l’extension CmathOOoCAS ca ne fonctionne pas, à cause du fichier CmathOOoCAS.uno.so

    (J’ai bien nstallé les librairies supplémentaires comme expliqué sur la page de telechargement.)

    Voyez vous une solution ?
    Merci.

  • Bonjour,

    En premier, merci pour ces excellents programmes.

    Je suis sous Ubuntu 10.04 LTS. Avec LibreOffice (LO) 3.3 pas de problème d’installation par contre un gros bogue. LO se ferme dès qu’on efface une formule. J’ai installé LO 3.4 et là LO me dit que CmathOooCas n’est pas installé alors qu’il est dans les extensions. Je fais une nouvelle installation de CmathOooCas et là plantage de LO et impossible d’arrêter le programme ce qui est très rare sous Linux. Tout reste figé. J’ai fait plusieurs tentatives. Je suis même arrivé à planter Ubuntu complètement.

    Pas de problème sous XP. C’est vraiment rageant.

    TV Membre de l’APRIL.

    PS. Je viens de m’appercevoir que j’ai LO 3.4.0 sur XP et LO 3.4.3 sur Ubuntu. Je n’ai pas envie de recommencer maintenant mais je vais tester dès que j’aurai le temps avec LO 3.4.0 sous U 10.4

    • Bonjour,

      J’ai trouvé cet information sur le site Ubuntu en cherchant "LibreOffice" :

      "Blocage sur le ’splash screen’

      Version 3.3 depuis les paquets fournis sur le site.

      Lors de la tentative de lecture d’un fichier sur NFS, le splash screen de LibreOffice se lance et tout freeze. Il faut tuer le processus ’soffice.bin’ (comme pour OOo).

      Il suffit d’ouvrir le fichier /opt/libreoffice/program/soffice et de commenter la ligne suivante :

      # export SAL_ENABLE_FILE_LOCKING "

      Source : http://fr.libreoffice.org/home/lisezmoi/ section Verrouillage de fichier

      Attention. /opt/libreoffice/program/soffice souvent n’existe pas il faut remplacer libreoffice par libreoffice3.4 ou ... le mieux est de rentrer dans /opt et de faire un "ls" pour connaître le nom du dossier.

      Ca marche sous LibreOffice 3.4.0 et Ubuntu 10.04

      Si j’ai le temps, je vais installer LO 3.4.3 et tester.

      Remarque. LO plantait aussi quand on installait certaines extensions.

      Il serait bien de mettre une info sur la doc du site pour signaler ce bogue aux utilisteurs de LO.

      Merci

      TV

    • Suite du deuxième message,

      J’avais résolu l’installation, mais LO 3.4 était très instable et se fermer subitement.

      Donc, j’ai supprimé mon profil :

      Dans mon home pour moi /home/thierry

      J’ai supprimé .libreoffice et .openoffice

      Comme il restait encore des extensions vérouillées dans le gestionnaire d’extensions,
      j’ai supprimé le dossier extensions qui se trouve dans /opt/libreofficexxx/share

      Puis je l’ai recréé.

      Puis installation de CmathOOo, test de stabilité.

      Puis installation de CmathOOoCas, test de stabilité,

      Pour le moment tout va bien.

      Encore merci pour ces excellents logiciels dont je me sers tous les jours.

      Calculer dans writer c’est le pied quand on écrit un cours ou un corrigé.

      TV avec Ubuntu 10.04 et LO 3.4.3 et CmathOOo et CmathOOocas

    • Merci pour ces informations.
      Pourquoi pas en faire un petit résumé sur le site en effet...

    • Bonjour,

      J’ai donc fait un topo sur les manips.
      Je pense qu’il sera pubié sous peu.

      Pour compléter ce topo.

      Après installation de CmathOOo, CmathOOocas et des dictionnaires tout va très.

      J’installe un correcteur orthographique (ce n’est pas language-tools, je n’ai plus le nom en tête, mais je soupçonne aussi ce dernier de créer les mêmes problèmes) et LO devient très instable et se ferme subitement.
      Je le désinstalle et tout marche à nouveau.

      Si j’ai le temps, je vais tester avec les autres extensions.

      Ubuntu 10.04 et LO 3.4.3

    • Je viens d’installer Language Tools 1.5 et tout est nickel.

      Par contre Grammalecte a posé problème, il faudrait revérifier.

      TV

    • Bonsoir,

      Le nouvel épisode.

      Sur Writer, je crée un nouveau document avec des formules et du calcul formel comme d’habitude pour tester.

      Pas de problème en effaçant les formules ou en vérifiant la grammaire avec Language Tools.

      Par contre, je demande une nouvelle vérification avec Language Tools et là LO 3.4.3 se ferme subitement.

      Nouvel essai avec un document ancien de test, pas de problème.

      Etonnant.

  • Après réinstallation complète de Ubuntu 11.10
    suite à upgrade mal passé

    il lui manque des bouts :

    E : Impossible de trouver le paquet libmpfr1ldbl

    E : Impossible de trouver le paquet libpari2-gmp

    Ne serait il pas possible de mettre sur le site de source de logiciels de XCAS :

    http://www-fourier.ujf-grenoble.fr/~parisse/debian/

    les librairies que tous ces logiciels utilisent
    en archives
    (ce qui ne doit pas être très gros quand même)

    pour ne pas avoir cette déconvenue
    et se trouver à la merci de bases qui se vident
    pour des versions plus au gout du jour
    mais qui ne sont pas un progrès dans ce cas ?

    • pour connaître les librairies utilisées par CmathOOoCAS il y a la commande ldd : http://cdeval.free.fr/spip.php?page=voirsujet&id_forum=1209

      Je reconnais que l’usage de librairies dynamiques est un problème. A l’installation s’il en manque une, cela provoquera une erreur et CmathOOoCAS ne s’installera pas, ce qui est embêtant mais ne compromet pas OOo/LibO
      Plus gênant, en cas de mise à jour de la distribution, si une librairie nécessaire est mise à jour ou disparaît du système, OOo/LibO ne peut pas le savoir et cela provoquera un crash à l’ouverture. Dans ce cas OOo/LibO devient inutilisable.

      J’ai donc prévu de recompiler CmathOOoCAS Linux en incluant ces deux librairies dans la mienne (et d’autres qui ne sont pas fournies de base dans les distrib). L’extension va grossir mais cela me semble nécessaire pour assurer la pérennité.
      Je posterai un message ici dès que ce sera dispo.

      PS : Sur windows et Mac, pas de soucis car la méthode de compilation utilisée est différente et presque tout est inclu dans ma librairie (en statique donc).

  • Bonjour
    J’ai un peu le même problème que manuyouka , mais je n’ai pas pu suivre les liens ( fatal error dans plusieurs cas )
    J’utilisais jusqu’ici sans problème Cmath et CmathCAs dans OpenOffice sous Ubuntu 10.10
    Cette version n’étant plus supportée , j’ai migré sous Ubuntu 12.04 ( et LibreOffice 3.5.4.2 )

    Cmath s’installe sans problème mais pour CmathCAs , le gestionnaire des extensions n’est pas content et me dit :

    loading component library failed : .../Linux_x86_64/CmathOOoCAS.uno.so

    Le fichier est pourtant bien présent à l’emplacement indiqué .
    J’ai essayé quelques manips indiquées dans les réponses à manuyouka mais ça ne donne rien de correct .
    Dommage de ne pas pouvoir utiliser ce superbe outil ...
    Merci pour toute suggestion
    Joel

    • Bonjour,

      C’est une erreur classique, il manque une bibliothèque dans CmathOOoCAS.uno.so.

      La manip :
      Recherche du chemin du dossier contenant CmathOOoCAS.uno.so.
      Ce chemin est indiqué dans le message d’erreur.

      Aller dans le dossier contenant CmathOOoCAS.uno.so

      Taper la commande : ldd CmathOOoCAS.uno.so

      Repèrer les lignes où est écrit not found

      Exemple libstlport_gcc.so => not found

      Installer la bibliothèque manquante

      Je suis sous Linux, si c’est ouindo je ne peux pas t’aider.

      Librement

      TV

    • Grand merci pour cette réponse que je n’espérais plus !
      J’ai fait le début de la manip indiquée et repéré 5 éléments manquants :

      libmpfr.so.1 => not found
      libpari-gmp.so.2 => not found
      libfltk_images.so.1.1 => not found
      libfltk.so.1.1 => not found
      libfltk_gl.so.1.1 => not found

      Peux-tu m’indiquer comment faire pour installer ces bibliothèques manquantes ?
      ( J’utilise Linux depuis 5 ans mais je n’ai rien d’un expert )
      Ça me rendrait bien service
      Joel

    • Finalement tout va bien , en suivant la démarche indiquée et avec un peu de recherche , j’ai pu installer CmathOOoCAS et ça fonctionne !
      Encore merci

      Joel

    • TV a écrit :

      Bonjour,

      C’est une erreur classique, il manque une bibliothèque dans CmathOOoCAS.uno.so.

      La manip :
      Recherche du chemin du dossier contenant CmathOOoCAS.uno.so.
      Ce chemin est indiqué dans le message d’erreur.

      Aller dans le dossier contenant CmathOOoCAS.uno.so

      Bonjour,

      j’ai effectué l’installation de CmathOOocas sur OOo3 Ubuntu (avec les bibliothèques manquantes ou non liées) et je n’ai aucune bibli signalée :

              linux-gate.so.1 =>  (0x00f51000)
              libuno_cppuhelpergcc3.so.3 => /usr/lib/libuno_cppuhelpergcc3.so.3 (0x00369000)
              libgiac.so.0 => /home/gilga/.config/libreoffice/3/user/extensions/tmp/extensions/luc2eho3.tmp_/CmathOOoCAS.oxt/Linux_x86/libgiac.so.0 (0x00436000)
              libgmp.so.3 => /home/gilga/.config/libreoffice/3/user/extensions/tmp/extensions/luc2eho3.tmp_/CmathOOoCAS.oxt/Linux_x86/libgmp.so.3 (0x00d1f000)
              libuno_cppu.so.3 => /usr/lib/libuno_cppu.so.3 (0x00110000)
              libuno_sal.so.3 => /usr/lib/libuno_sal.so.3 (0x00e93000)
              libstlport_gcc.so => /usr/lib/libstlport_gcc.so (0x001c4000)
              libstdc++.so.6 => /usr/lib/i386-linux-gnu/libstdc++.so.6 (0x00d66000)
              libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0x0028d000)
              libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0x002b9000)
              libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0x00f52000)
              libuno_salhelpergcc3.so.3 => /usr/lib/libuno_salhelpergcc3.so.3 (0x0014a000)
              libmpfr.so.1 => /usr/lib/i386-linux-gnu/libmpfr.so.1 (0x002d7000)
              libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0x00334000)
              libntl-5.4.2.so => /usr/lib/libntl-5.4.2.so (0x0e29a000)
              libpari-gmp.so.2 => /usr/lib/libpari-gmp.so.2 (0x1781c000)
              libfltk_images.so.1.1 => /usr/lib/i386-linux-gnu/libfltk_images.so.1.1 (0x0034f000)
              libpng12.so.0 => /lib/i386-linux-gnu/libpng12.so.0 (0x00cde000)
              libz.so.1 => /lib/i386-linux-gnu/libz.so.1 (0x00d08000)
              libfltk.so.1.1 => /usr/lib/i386-linux-gnu/libfltk.so.1.1 (0x19a7b000)
              libfltk_gl.so.1.1 => /usr/lib/i386-linux-gnu/libfltk_gl.so.1.1 (0x00e4b000)
              libgsl.so.0 => /usr/lib/libgsl.so.0 (0x1b907000)
              libgslcblas.so.0 => /usr/lib/libgslcblas.so.0 (0x00ef0000)
              libreadline.so.5 => /home/gilga/.config/libreoffice/3/user/extensions/tmp/extensions/luc2eho3.tmp_/CmathOOoCAS.oxt/Linux_x86/libreadline.so.5 (0x0b48d000)
              libncurses.so.5 => /lib/i386-linux-gnu/libncurses.so.5 (0x00e65000)
              libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0x00151000)
              /lib/ld-linux.so.2 (0x00157000)
              libgmp.so.10 => /usr/lib/i386-linux-gnu/libgmp.so.10 (0x1e17c000)
              libjpeg.so.8 => /usr/lib/i386-linux-gnu/libjpeg.so.8 (0x1064f000)
              libXft.so.2 => /usr/lib/i386-linux-gnu/libXft.so.2 (0x00f2e000)
              libfontconfig.so.1 => /usr/lib/i386-linux-gnu/libfontconfig.so.1 (0x0bae2000)
              libXinerama.so.1 => /usr/lib/i386-linux-gnu/libXinerama.so.1 (0x0035d000)
              libX11.so.6 => /usr/lib/i386-linux-gnu/libX11.so.6 (0x1f11d000)
              libGL.so.1 => /usr/lib/i386-linux-gnu/mesa/libGL.so.1 (0x02948000)
              libtinfo.so.5 => /lib/i386-linux-gnu/libtinfo.so.5 (0x1400e000)
              libfreetype.so.6 => /usr/lib/i386-linux-gnu/libfreetype.so.6 (0x077b3000)
              libXrender.so.1 => /usr/lib/i386-linux-gnu/libXrender.so.1 (0x00e87000)
              libexpat.so.1 => /lib/i386-linux-gnu/libexpat.so.1 (0x11a40000)
              libXext.so.6 => /usr/lib/i386-linux-gnu/libXext.so.6 (0x1763e000)
              libxcb.so.1 => /usr/lib/i386-linux-gnu/libxcb.so.1 (0x165c9000)
              libglapi.so.0 => /usr/lib/i386-linux-gnu/libglapi.so.0 (0x1d223000)
              libXdamage.so.1 => /usr/lib/i386-linux-gnu/libXdamage.so.1 (0x00361000)
              libXfixes.so.3 => /usr/lib/i386-linux-gnu/libXfixes.so.3 (0x00f44000)
              libX11-xcb.so.1 => /usr/lib/i386-linux-gnu/libX11-xcb.so.1 (0x00365000)
              libxcb-glx.so.0 => /usr/lib/i386-linux-gnu/libxcb-glx.so.0 (0x14033000)
              libXxf86vm.so.1 => /usr/lib/i386-linux-gnu/libXxf86vm.so.1 (0x00f4a000)
              libdrm.so.2 => /usr/lib/i386-linux-gnu/libdrm.so.2 (0x0f573000)
              libXau.so.6 => /usr/lib/i386-linux-gnu/libXau.so.6 (0x0676e000)
              libXdmcp.so.6 => /usr/lib/i386-linux-gnu/libXdmcp.so.6 (0x1dccd000)
              librt.so.1 => /lib/i386-linux-gnu/librt.so.1 (0x20498000)

      Mais l’évaluation ne fonctionne pas : f(x) :=x^2 s’affiche définition puis après f(2) affiche f(2)=f(2) ou encore f’(x) affiche f’(x)=diff(f(x),x).
      As-tu un idée ?

    • mathazay a écrit :

      Mais l’évaluation ne fonctionne pas : f(x) :=x^2 s’affiche définition puis après f(2) affiche f(2)=f(2) ou encore f’(x) affiche f’(x)=diff(f(x),x).
      As-tu un idée ?

      Je viens d’essayer sur Mac, je croyais que ça fonctionnait mais non, pas plus, l’évaluation de f’(x) donne aussi f’(x)=diff(f(x),x). Je dois certainement louper quelquechose

    • Bonjour,

      mathazay a écrit :

      Mais l’évaluation ne fonctionne pas : f(x) :=x^2 s’affiche définition puis après f(2) affiche f(2)=f(2) ou encore f’(x) affiche f’(x)=diff(f(x),x). As-tu un idée ?

      La bonne syntaxe est :

      f(x) :=x^2 puis on tappe F9

      f’(x)=cas(diff(f(x))) puis on tappe F9

      f(2)=cas(f(2)) puis on tappe F9

      Ca marche avec LO 4.0.2.2 sous Ubuntu 10.04

      TV

    • TV a écrit :

      f(x) :=x^2 puis on tappe F9

      f’(x)=cas(diff(f(x))) puis on tappe F9

      f(2)=cas(f(2)) puis on tappe F9

      Ca marche avec LO 4.0.2.2 sous Ubuntu 10.04

      TV

      Sur Mac, F9 est réservé au système donc ne peut être utilisé.
      J’ai essayé en écrivant cas( ) mais ça ne marche pas... est-ce que java est utilisé (c’est un problème avec Lion et après) ?

      Sur PC Ubuntu 12.04, Libre3.5.7.2 la touche F9 fonctionne (de même que CTL F9) mais l’expression n’est pas évaluée (simplement reconnue) comme sur Mac.

    • Bonjour,

      Désolé de ne pouvoir t’aider.
      Je n’ai pas de Mac.
      Je n’aime pas du tout Ubuntu 12.04.
      Mais je vais peut-être essayer sur la clef.

      Bon courage

      TV

    • TV a écrit :

      Bonjour,

      ...

      Bon courage

      TV

      As-tu bien testé : f(x) :=x^3 évaluation puis f(2) évaluation ? Dans la première évaluation, j’ai bien =définition qui apparaît, dans la seconde j’obtiens f(2)=f(2) (ou f’(x)=diff(f(x),x) pour autre exemple).
      Je résume mes efforts :
      - ce n’est pas libre office, j’ai fait une installation avec open office, même résultat,
      - ce n’est pas java, je suis passé de java6 à java7 avec le même résultat,
      - ce n’est pas une question liée à Xcas, il fonctionne sur les deux machines et produit les bons résultats aux évaluations précédentes,
      - ce n’est pas le système OSX 10.7.5 et Ubuntu 12.04 donnent le même résultat.
      Reste donc rationnellement une seule possibilité : la version actuellement disponible de cmathooocas contient un bogue ?

    • Bonjour,
      je n’ai pas de soucis avec les évaluations :
      f(x) :=x^3 suivi de F9 définit la fonction f
      f(2) suivi de Ctrl-F9 ou f(2)=calculer(f(2)) suivi de F9 donne bien f(2)=8
      De même avec f’(x) suivi de Ctrl-F9 ou f’(x)=calculer(f’(x)) qui renvoie bien f’(x)=3x^2
      Envoyez moi un document odt qui présente le problème...

    • cdeval a écrit :

      Bonjour,
      je n’ai pas de soucis avec les évaluations :

      Bonne nouvelle, au lycée avec LibreOffice (version portable), ça fonctionne :-)

    • mathazay a écrit :

      Bonne nouvelle, au lycée avec LibreOffice (version portable), ça fonctionne :-)

      À ma grande honte le problème était sans doute entre la chaise et le clavier... j’ai du perdre de vue qu’il faut cliquer sur la première icône, pour la mise en forme, puis sur la seconde pour l’évaluation...

  • Bonjour, tout est dans le titre, apparemment il doit manquer des librairies dans la 4.0.0.3 sous windows, j’ai pas essayé sous ubuntu...
    Donc je retourne à la 3.6...

  • Bonjour,

    J’ai installé LibreOffice 4.0.0.3, Cmath fonctionne mais comme d’habitude CmathOOOcas ne fonctionne pas.
    Erreur habituel dans CmathOOoCAS.uno.so.
    Je fais la manip habituelle :
    Recherche du dossier
    Je vais dans le dossier contenant CmathOOoCAS.uno.so
    Puis je tape la commande ldd CmathOOoCAS.uno.so
    Je repère les lignes où est écrit not found
    Je trouve une seule ligne libstlport_gcc.so => not found

    Je cherche les bibliothèques libstlport
    Je trouve libstlport4.6lJdbl
    libstlport4.6-dev
    libstlport5.2
    libstlport5.2-dev
    libstlport5.2-dbg

    Est installé (ou j’installe)
    libstlport4.6ldbl
    libstlport5.2
    libstlport5.2-dev

    Je tente une nouvelle installationde Cmath000cas mais j’ai le même mesage d’erreur et toujours la ligne libstlport_gcc.so => not found

    Ci-dessous la manip pour chercher les bibliothèques manquantes.

    Merci pour vos réponses

    TV
    EEEpc sous Ubuntu 10.04 et LO 4.0.0.3

    thierry@Robespierre : /.config/libreoffice/4/user/uno_packages/cache/uno_packages/luc7ksp0.tmp_/CmathOOoCAS.oxt$ cd Linux_x86
    thierry@Robespierre : /.config/libreoffice/4/user/uno_packages/cache/uno_packages/luc7ksp0.tmp_/CmathOOoCAS.oxt/Linux_x86$ ls -a
    . CmathOOoCAS.uno.rdb libgiac.so.0 libreadline.so.5
    .. CmathOOoCAS.uno.so libgmp.so.3
    thierry@Robespierre : /.config/libreoffice/4/user/uno_packages/cache/uno_packages/luc7ksp0.tmp_/CmathOOoCAS.oxt/Linux_x86$ ldd CmathOOoCAS.uno.so
    linux-gate.so.1 => (0xb77a6000)
    libuno_cppuhelpergcc3.so.3 => /usr/lib/libuno_cppuhelpergcc3.so.3 (0xb76a0000)
    libgiac.so.0 => /home/thierry/.config/libreoffice/4/user/uno_packages/cache/uno_packages/luc7ksp0.tmp_/CmathOOoCAS.oxt/Linux_x86/./libgiac.so.0 (0xb6df8000)
    libgmp.so.3 => /home/thierry/.config/libreoffice/4/user/uno_packages/cache/uno_packages/luc7ksp0.tmp_/CmathOOoCAS.oxt/Linux_x86/./libgmp.so.3 (0xb6db0000)
    libuno_cppu.so.3 => /usr/lib/libuno_cppu.so.3 (0xb6d82000)
    libuno_sal.so.3 => /usr/lib/libuno_sal.so.3 (0xb6bbe000)
    libstlport_gcc.so => not found
    libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb6ac9000)
    libm.so.6 => /lib/tls/i686/cmov/libm.so.6 (0xb6aa2000)
    libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb6a83000)
    libc.so.6 => /lib/tls/i686/cmov/libc.so.6 (0xb6924000)
    libuno_salhelpergcc3.so.3 => /usr/lib/libuno_salhelpergcc3.so.3 (0xb691e000)
    libstlport_gcc.so.4.6 => /usr/lib/libstlport_gcc.so.4.6 (0xb6855000)
    libmpfr.so.1 => /usr/lib/libmpfr.so.1 (0xb6809000)
    libpthread.so.0 => /lib/tls/i686/cmov/libpthread.so.0 (0xb67f0000)
    libntl-5.4.2.so => /usr/lib/libntl-5.4.2.so (0xb6625000)
    libpari-gmp.so.2 => /usr/lib/libpari-gmp.so.2 (0xb636e000)
    libfltk_images.so.1.1 => /usr/lib/libfltk_images.so.1.1 (0xb635c000)
    libpng12.so.0 => /lib/libpng12.so.0 (0xb6336000)
    libz.so.1 => /lib/libz.so.1 (0xb6321000)
    libfltk.so.1.1 => /usr/lib/libfltk.so.1.1 (0xb6271000)
    libfltk_gl.so.1.1 => /usr/lib/libfltk_gl.so.1.1 (0xb6258000)
    libgsl.so.0 => /usr/lib/libgsl.so.0 (0xb6076000)
    libgslcblas.so.0 => /usr/lib/libgslcblas.so.0 (0xb6043000)
    libreadline.so.5 => /home/thierry/.config/libreoffice/4/user/uno_packages/cache/uno_packages/luc7ksp0.tmp_/CmathOOoCAS.oxt/Linux_x86/./libreadline.so.5 (0xb6010000)
    libncurses.so.5 => /lib/libncurses.so.5 (0xb5fd8000)
    libdl.so.2 => /lib/tls/i686/cmov/libdl.so.2 (0xb5fd4000)
    libpam.so.0 => /lib/libpam.so.0 (0xb5fc7000)
    libcrypt.so.1 => /lib/tls/i686/cmov/libcrypt.so.1 (0xb5f95000)
    /lib/ld-linux.so.2 (0xb77a7000)
    libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0xb5f73000)
    libXft.so.2 => /usr/lib/libXft.so.2 (0xb5f5f000)
    libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb5f2f000)
    libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb5f2b000)
    libX11.so.6 => /usr/lib/libX11.so.6 (0xb5e0e000)
    libGL.so.1 => /usr/lib/mesa/libGL.so.1 (0xb5da8000)
    libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb5d32000)
    libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb5d28000)
    libexpat.so.1 => /lib/libexpat.so.1 (0xb5d00000)
    libXext.so.6 => /usr/lib/libXext.so.6 (0xb5cf0000)
    libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb5cd5000)
    libXxf86vm.so.1 => /usr/lib/libXxf86vm.so.1 (0xb5ccf000)
    libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0xb5ccb000)
    libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb5cc5000)
    libdrm.so.2 => /lib/libdrm.so.2 (0xb5cba000)
    libXau.so.6 => /usr/lib/libXau.so.6 (0xb5cb5000)
    libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb5caf000)
    librt.so.1 => /lib/tls/i686/cmov/librt.so.1 (0xb5ca6000)
    thierry@Robespierre : /.config/libreoffice/4/user/uno_packages/cache/uno_packages/luc7ksp0.tmp_/CmathOOoCAS.oxt/Linux_x86$

  • une question de grand novice qui vient de migrer sous open office 4.0.0.3 aujourd’hui (avant j’étais sous Microsoft) avec mon nouveau portable sous W8.
    Après avoir installé puis désinstallé Dmaths pour ensuite installer Cmaths (non sans bug....après plusieurs essais !! : les macros Dmaths et Cmaths interfèrent ?), Cmaths semble bien fonctionner sauf que contrairement aux vidéos tutos :
    * Les valeurs absolues sont trop petites par rapport aux caractères encadrés
    * La racine carré a sa barre supérieure détachées du corps général (et "mes préférences" ne corrigent pas le problème), ce qui est gênant pour la mise en forme
    et surtout :
    * la touche F8 n’est pas opérante (pourtant j’ai téléchargé les fichiers script après CmathooO)
    * Enfin pas de barre d’outils verticale que l’on voit dans les tutos vidéo d’avant installation.

    Pourriez-vous m’aider S.V.P. ? Merci de faire simple car comme vous devez le constater, je galère très très rapidement !

    • Bonjour, si tu veux tester à la fois Dmaths et Cmath, le plus simple est d’installer ApacheOpenOffice pour Dmaths (Attention, prendre la version 3.4.1 et pas la 4...) et LibreOffice pour Cmaths.
      Pour l’affichage : attention ; ce que tu vois à l’écran n’est pas identique à ce qu’on imprime : les valeurs absolues seront plus grandes, la barre des racines moins séparée (fais un test avec un export en pdf).
      Pour F8 : je n’ai aucun problème. Vas dans "outils" puis "gestionnaire d’extension" supprime Dmaths et Cmath et réinstalle... (n’oublie pas de fermer LibreOffice puis de le rouvrir après la réinstallation d’une extension). Sinon la version conseillée pour LibreOffice est la 4.0.6 (sauf si tu veux utiliser CMathOOoCAS qui permet de faire du calcul formel, il vaut mieux utiliser la 3.6.7)
      @+ Sébastien

    • Merci Seb31.
      Sur le net, je n’ai trouvé que les dernières versions de Lo 4.1 et Oo 4.0.1 (annulent et remplacent les précédentes ?) du coup
      * j’ai réinstallé Oo 4.0.1. + CmathOOo (éditeur simple, sans calcul formel, sous Firefox car sous explorer ça plante)) + CmathOOocas (avec calcul formel) : tout semble bien fonctionner... sauf que, comme précédemment la touche F8 (accès aux caractères/alphabets spéciaux) n’opère toujours pas, ce qui est assez handicapant pour nous matheux ! ¨Pas de barre d’outils non plus, donc tout en raccourci clavier (pas si compliqué, quitte à imprimer une petit mémo pour les fonctions les plus courantes)
      * j’ai aussi installé Lo 4.1. + CmathOOo : là tout va bien, F8 OK et une barre d’outils dédiée ! (soit directement soit avec "affichage + Barre outils" )... par contre : refus d’installer l’extension CmathOOocas : 3 messages d’erreur d’affilé lors de l’installation de cette extension, donc cette fois pas de calcul formel !

      Donc c’est soit le calcul formel (sans barre d’outils) soit les caractères spéciaux.
      Je précise que ce qui m’intéresse dans Cmath par rapport à Dmaths est la possibilité de calculs formels avec modif des paramètres en direct (bien pratique pour trouver des exos pour mes élèves avec des paramètres qui vont bien, sans calculs trop fastidieux).
      En attendant de trouver une solution ou une M.A.J. j’utiliserai une solution boiteuse : j’édite avec Lo et je fais un détour en copier-coller avec Oo pour les caractères spéciaux à moins de faire le contraire (je verrai à l’usage le plus pratique) : bien qu’un peu fastidieuse, cette méthode fonctionne (pour le moment)

      N.B. : Pour l’histoire des racines carrés et valeurs absolues, en effet une compile pdf rendent les choses beaucoup plus regardables (même si imparfaites), étonnamment sur la démo vidéo cela éditait directement très bien sur le document.

    • Tu peux utiliser CmathOOoCas_modifié pour LibreOffice 4.1, (mais il y a quelques bugs, voir sujet précédent).

    • Moi, je n’ai pas de problème avec F8 et ApacheOpenOffice, efface ton dossier : C :\Utilisateurs\Ton Nom D’utilisateur\AppData\Roaming\OpenOffice (qui est un dossier caché, donc coche "Eléments masqués" dans l’onglet "Affichage" de l’explorateur windows 8.
      Puis réinstalle les extensions Cmath...

    • Ou plus simple, désinstalle ta version ApacheOpenOffice et mets la 3.4.1 disponible ici :
      archive.apache.org/dist/incubator/ooo/files/localized/fr/3.4.1/ (copie et colle dans la barre d’adresse de ton navigateur internet et trouve la version windows, je n’arrive pas à te mettre le lien direct).

    • C’est dommage de repasser à AOO 3.4.1. D’autant plus que j’ai fait les modifications il y a quelques jours pour retrouver les barres d’outils de CmathOOo(CAS).
      Donc avec AOO4 : tout est OK.
      En effaçant son profil comme le préconise Seb31, tout devrait rentrer dans l’ordre.

    • Super, je n’avais pas vu la mise à jour, merci ! Donc effectivement, Il faut rester en Apache OpenOffice 4.0.1.

  • bonjour
    apres avoir telecharge ..CmathOOoCAS.oxt .2013.10.31 en activant j obtiens le message d erreur
    loading component library failed : (si je mets l’adresse je ne peux pas envoyer le message qui est considere comme contenant des spams)

    bien lu le post du 5 avril 2013 erreur avec liboff 4.0.0.3 sius ubuntu 10.04.. mais je suis incapable de l appliquer. J utilise sur un autre micro la version 2010.11.02 sur Ooo 3.2 sans probleme

    • Bonjour Antoin43,

      Je viens d’envoyer un nouveau post :

      cdeval.free.fr/spip.php ?page=voirsujet&id_forum=1909

      Installation réussie LO 4.1 sous Xubuntu 12.04.

      Sais-tu ce qu’est la console (ou le terminal) ?
      Si oui, sais-tu y accéder ?

      Sais-tu ce qu’est Synaptic ?
      Si oui, sais-tu y accéder ?

      Sous U 13.10, c’est pas évident d’accéder à la console et Synaptic n’est pas installé.
      Je suis resté avec mon ordi à U 10.04 pour ces raisons, on cache tout et je n’arrive pas à accéder aux logiciels.
      Là je suis sur un vieil ordi de récupération et j’ai installé Xubuntu pour avoir un vrai menu où je peux accéder à tous les programmes sans me casser la tête.

      Je peux t’aider pour l’installation si tu en as envie.
      Mais avant, il faut que tu saches accéder à la console et à Synaptic.
      Sur le forum Ubuntu tu auras tous les renseignements nécessaires.

      Librement
      Thierry Vedel

  • Bonjour,

    Je donne les détails de l’installation car c’est pas toujours évident. Selon la version de Linux, il faudra sûrement faire quelques changement car les paquets changent de numéro selon les versions.

    Comme d’habitude, message d’erreur quand on installe CmathOOoCas sur des versions récentes de LO ou OOo.
    Le message d’erreur donne le chemin du fichier CmathOOoCAS.uno.so.
    Je fais une capture d’écran (c’est ma méthode, car j’ai la mémoire courte) et la sauve.

    Là, il n’y a pas de choix, il faut utiliser la console (le terminal), le truc où on écrit les instructions.
    Je vais dans le dossier contenant CmathOOoCAS.uno.so à l’aide de la commande cd (Change Directory)

    Exemple :
    cd /.config/libreoffice/4/user/uno_packages/cache/uno_packages/luwt5lhf.tmp_/CmathOOoCAS.oxt/Linux_x86

    On peut faire aussi :
    cd config
    puis
    cd libreoffice
    etc ...

    Ceci est un exemple, il faut bien recopier le chemin donné par le messge d’erreur.
    A chaque tentative d’installation le nom du fichier tmp_ ( /luwt5lhf.tmp_ dans cet exemple) va changer.

    Une fois dans le bon dossier, celui contenant CmathOOoCAS.uno.so ( on peut vérifier en tapant la commande ls -a ) on tape la commande :

    ldd CmathOOoCAS.uno.so et une liste apparaît de la forme :
    nom du programme => chemin

    Là il faut trouver les noms des programmes où le chemin est remplacé par "not foud"
    On peut faire un copier-coller dans LO ou OOo puis une recherche (tellement plus facile) mais attention, dans la console copier est différent c’est Ctrl+Maj+c comme collé Ctrl+Maj+v.

    Une fois repéré ces noms de programmes, il faut les installer les paquets contenant ces programmes.

    Exemple (bidon ) :
    libmpfr1.so => not found
    Ce programme est manquant, je dois installer un paquet dont le nom commence par libmpfr.

    Je vais dans Synaptic ou autre installeur, je fais une recherche.
    Moi, j’ai trouvé : libmpfr4.
    Je l’ai installé et fait un lien s’ymbolique.

    Cas de LO 4.1 sous Xubuntu 12.04.

    Les paquets libmpfr1.dbl et libpari2-gmp ne sont pas dans les dépôts, il faut installer des paquets plus récents puis faire un lien symbolique.

    J’ai fait une recherche dans Synaptic et trouvé libmpfr4 et libpari-gmp3 que j’ai installé.

    J’ai recherché l’emplacement de ces bibliothèques (option fichiers cachés) puis fait les lien symboliques.

    sudo ln -s /usr/lib/libpari-gmp.so.3 /usr/lib/libpari-gmp.so.2

    sudo ln -s /usr/lib/i386-linux-gnu/libmpfr.so.4 /usr/lib/i386-linux-gnu/libmpfr.so.1

    Tout fonctionne, même l’affectation f(x) :=

    Merci encore Christophe.

    Thierry Vedel

  • Bonjour,

    Comme d’habitude erreur à l’installation.

    Je télécharge des paquets, je fais des liens symbolique :

    sudo ln -s /usr/lib/i386-linux-gnu/libmpfr.so.4 /usr/lib/i386-linux-gnu/libmpfr.so.1

    Plus étonnant, je trouve des librairies dans /usr/lib/ure/lib.

    Je copie dans /usr/lib/, je ne sais pas si c’est la bonne méthode mais ça marche.

    libntl-5.4.2.so => not found J’ai installé le paquet libntl0 version 5.5.2-2

    Je me retrouve avec deux fichiers :

    libntl.so.0

    libntl.so.0.1.0

    Dois-je faire le lien sur le premier ou le deuxième ?

    Par contre pour ces deux là j’ai rien trouvé :

    libstlport_gcc.so => not found

    libpari-gmp.so.2 => not found

    Aucun paquet à télécharger ressemblant à ça.

    Peut-être me manque-t-il des dépôts ?

    Je vais essayer de vérifier en comparant avec Ubuntu 10.04 mais c’est pas joué.

    Merci de vos réponses.

    Thierry Vedel

  • Hi Dear, are you in fact visiting this website on a regular basis, if so after that you will without doubt obtain good know-how.

  • Bonjour,

    A-t-on des nouvelles d’une mise à jour de CMathsOOoCAS qui s’installe sur LibreOffice ?
    Les liens proposés plus haut dans le forum avec des modifications le permettant ne semblent plus disponibles...

    Cordialement,
    Vincent S.

    • Cmathoocas sous Windows 10 et libre office 5.1
      A l’installation, j’obtiens
      Program :/program files (x86)/libre office 5/program/uno. exe
      R6034
      An application has made an attempt to load the C runtime library incorrectly

      Autre question : sur android, dans libre office cmath s’installe et fonctionne, mais impossible d’installer cmathooocas.

      Sur mac et osx pas de problème.

  • Bonjour à tous.

    Je suis sous Linux mint et j’utilise la version 5 de libreoffice.
    J’ai essayé d’installer l’extension proposée, mais sans succès hélas pour le moment.
    (j’ai aussi quelques soucis avec CmathOOo qui plante de manière inopinée, ce qui me chagrine.)
    Quand j’essaie d’activer l’extension dans le gestionnaire d’extension, j’obtiens le message :

    loading component library //home/jpapot/.config/libreoffice/4/user/uno_packages/cache/uno_packag­es/lu2545byh4xk.tmp_/CmathOOoCAS.oxt/Linux_x86/CmathOOoCAS.uno.so> failed

    J’ai également essayé d’installer les librairies comme proposé :

    sudo apt-get install libgmp3c2 libmpfr1ldbl libntl-5.4.2 libpari2-gmp libfltk1.1 libjpeg62 libpng12-0 libreadline

    J’obtiens la réponse suivante de la console :

    E : Impossible de trouver le paquet libgmp3c2
    E : Impossible de trouver le paquet libmpfr1ldbl
    E : Impossible de trouver le paquet libntl-5.4.2
    E : Impossible de trouver de paquet correspondant à l’expression rationnelle « libntl-5.4.2 »
    E : Impossible de trouver le paquet libpari2-gmp

    Je ne sais pas où est le problème.
    Pouvez-vous m’aider ? - Grosse frustration quand je vois ce que ce programme est capable de faire ! Les extensions sont-elles mieux supportées par openoffice ?

    Merci M. Devalland pour ce beau travail d’adaptation de xcas !

    JPP (un prof de math)

    • Je vais essayer la méthode proposée par TV, à suivre ...

    • Après être allé dans le bon dossier via la console en mode administrateur, j’obtiens, après tri, les librairies manquantes :

      libstlport_gcc.so => not found
      libreglo.so => not found
      libunoidllo.so => not found
      libxmlreaderlo.so => not found
      libmpfr.so.1 => not found
      libntl-5.4.2.so => not found
      libpari-gmp.so.2 => not found
      libfltk_images.so.1.1 => not found
      libfltk.so.1.1 => not found
      libfltk_gl.so.1.1 => not found

      ça fait beaucoup ; où trouver ces fichiers ?
      Merci pour votre aide.

      JP

  • pour l’installation sous linux, les paquets indiqués sont obselètes.
    Il faut chercher les paquets sur le site http://packages.ubuntu.com/fr/
    si vous etes sur ubuntu ou versions dérivée (Linux mint pour ma part).
    Pour Linux Mint 17.3 (sur 64 bits), basé sur ubuntu trusty, j’ai un dossier avec les paquets à installer.
    Je les propose à l’auteur de Cmath.
    Bonne journée

    • Ok merci, cela m’intéresse, je suis aussi sous Mint. Je le mettrai à disposition.
      J’ai prévu prochainement de recompiler mon addon avec la dernière version de XCAS en mode statique : il n’y aura donc plus de dépendances, comme la version windows.

  • Cmathooocas ne fonctionne plus avec la nouvelle version de libreoffice 5.4.
    Après supression de l’extension puis tentative de réinstallation sur mac, l’ordinateur plante totalement. Seule solution un arrêt par extinction brutale.
    Jean louis Bounhoure

  • Après tentative d’installation sur Open Office et non plus LibreOffice sur mac, cette fois pas de plantage mais message indiquant "cette extension ne peut être installée sur cet ordinateur".
    jlb

Un message, un commentaire ?

Forum sur abonnement

Pour participer à ce forum, vous devez vous enregistrer au préalable. Merci d’indiquer ci-dessous l’identifiant personnel qui vous a été fourni. Si vous n’êtes pas enregistré, vous devez vous inscrire.

Connexions’inscriremot de passe oublié ?